slepc-3.10.1 2018-10-23
Report Typos and Errors

# EPSMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSMonitorSetFromOptions(EPS eps,const char name[],const char help[],const char manual[],PetscErrorCode (*monitor)(EPS,PetscInt,PetscInt,PetscScalar*,PetscScalar*,PetscReal*,PetscInt,PetscViewerAndFormat*),PetscBool trackall)

Collective on EPS

### Input Parameters

| eps | - the eigensolver context
| name | - the monitor option name
| help | - message indicating what monitoring is done
| manual | - manual page for the monitor
| monitor | - the monitor function, whose context is a PetscViewerAndFormat
| trackall | - whether this monitor tracks all eigenvalues or not

### See Also

EPSMonitorSet(), EPSSetTrackAll(), EPSConvMonitorSetFromOptions()

Location: src/eps/interface/epsopts.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages